#ifndef ITEM_H
#define ITEM_H

#include <QGraphicsItem>

class Item : public QGraphicsRectItem
{
public:
    Item(const QRectF &rect, const bool black, QGraphicsItem* parent = 0):
        QGraphicsRectItem(rect, parent), m_black(black) { }
    void paint(QPainter* painter, const QStyleOptionGraphicsItem*, QWidget*) override;
private:
    bool m_black;
};

#endif // ITEM_H
